Checklist dei componenti software richiesti per l’installazione e l’aggiornamento - Metasys - LIT-12012162 - MS-ADS05U-0 - MS-ADX100SQL2-0 - MS-ADX100U-0 - MS-ADX10SQL-0 - MS-ADX10U-0 - MS-ADX25SQL-0 - MS-ADX25U-0 - MS-ADX50SQL-0 - MS-ADX50SQL2-0 - MS-ADX50U-0 - Server - Metasys Server - 11.0

Istruzioni per l’installazione e l’aggiornamento del Server Metasys

Product name
Metasys Server
Document type
Installation Guide
Document number
LIT-12012162
Version
11.0
Revision date
2021-06-03
Product status
Active
Prima di iniziare l’installazione o l’aggiornamento di Metasys Server, consultare la Tabella 1 per verificare di avere a disposizione il software richiesto. La tabella indica inoltre dove è possibile ottenere ogni componente software.
Nota: Se si è acquistato un software Metasys Server che include il software SQL Server (ad esempio, MS-ADX25SQL-0), il pacchetto SQL Server viene fornito in un file compresso con estensione .rar. Questo tipo di file è simile a un file .zip. Sarà sufficiente usare uno strumento di estrazione, come WinZip™ o 7-Zip File Manager, per decomprimere il file .rar sul disco rigido del server.
Tabella 1. Checklist dei componenti software richiesti
 

Componente software

Prodotto

Dove ottenerlo

 

Sistema operativo (scegliere una sola opzione) 1

Windows® 10 Pro e Windows 10 Enterprise Editions versioni 1903, 1909 e 2004 (64 bit). Per tutti i futuri aggiornamenti di Windows 10 successivi alla versione 2004, valuteremo e certificheremo che il software Metasys possa supportare gli aggiornamenti prima di fornire indicazioni sul supporto. 2

ADS /SCT

Microsoft Corporation

Windows® 8.1 Pro e Windows 8.1 Enterprise Editions con aggiornamento (KB2919355) (64 bit) 2

Windows® Server® 2019 (versione 1803 o successiva) (64 bit)

ADX /SCT

Windows® Server® 2016 con aggiornamento (KB4512495) (64 bit)

 

Componenti del sistema operativo (OS) (installati da Metasys Server)

Internet Information Services (IIS) (inclusi con il sistema operativo)

ADS/ADX /SCT

Supporto fisico del sistema operativo

Microsoft Message Queuing (MSMQ)

 

Varie (selezionare tutto)

Microsoft .NET Framework 3.5 SP1 o 3.5.1

ADS/ADX /SCT

Supporto fisico del sistema operativo

Microsoft .NET Framework 4.7.2

(installato da Metasys Server)

 

Microsoft Silverlight® 5.0 o versione successiva 3

http://www.microsoft.com/silverlight

 

Database (selezionare una sola opzione)

SQL Server® 2019 Express (64 bit)

ADS /SCT

License Portal

Area download Microsoft

SQL Server® 2017 Express con CU17 (64 bit)

SQL Server® 2016 Express con SP2 CU10 (64 bit)

SQL Server® 2014 Express con SP3 CU4 (64 bit)

 

SQL Server® 2019 (64 bit) 4

(Standard Edition o Enterprise Edition)

ADX /SCT

Microsoft Corporation

SQL Server® 2017 con CU17 (64 bit) 4

(Standard Edition o Enterprise Edition)

SQL Server® 2016 con SP2 CU10 (64 bit) 4

(Standard Edition o Enterprise Edition)

SQL Server® 2014 con SP3 CU4 (64 bit) 4

(Standard Edition o Enterprise Edition)

 

Strumenti di database

SQL Installer

ADS /SCT

License Portal

Microsoft SQL Server Management Studio Express (solo ADS)

License Portal o Area download Microsoft

 

Servizi di reporting

Microsoft Report Viewer 2012 Redistributable Package 5

ADX

License Portal o Microsoft Corporation

1 È consigliabile che il computer che si intende utilizzare per il software Metasys abbia il sistema operativo installato su un disco rigido appena formattato. Se si utilizza un computer che era stato aggiornato da una versione precedente di Windows, i file e le impostazioni del registro rimaste dopo l’aggiornamento potrebbero influire negativamente sull’installazione del software del sistema Metasys.
2 Il software del sistema Metasys non supporta l’interfaccia touchscreen usata nei sistemi operativi Windows 10 e Windows 8.1.
3 È richiesto per la visualizzazione dei file Graphics+ sui client che utilizzano il software Site Management Portal.
4 Alla Release 11.0, il sistema di reporting avanzato di Metasys ed Energy Essentials sono compatibili con i software SQL Server 2017, SQL Server 2016 e SQL Server 2014, ma non sono compatibili con SQL Server 2019.
5 Richiesto per i report generati dal sistema di reporting avanzato di Metasys o da Metasys Energy Essentials. Usare Report Viewer 2012 Redistribution Package per i software SQL Server 2017, SQL Server 2016 e SQL Server 2014.